<template>
    <div v-if="modeView !== 'recent' && grandTotal > itemsPerPage" class="pagination-wrapper">
        <div class="view-post-of">
            <p>{{ $t("messages.status_paginator", { itemsPerPage, total: grandTotal }) }}</p>
        </div>
        <ul class="post-pagination">
            <li class="prev-post" v-if="startPage > 1" v-on:click.prevent="changePage(startPage - 1)">
                <a href="#"><i class="arrow_carrot-left"></i></a>
            </li>
            <li v-for="page in pages" v-bind:key="page.name">
                <a href="#" v-on:click.prevent="changePage(page.name)" v-bind:class="{ active: page.name == currentPage }">{{ page.name }}</a>
            </li>
            <li class="next-post" v-if="startPage + visiblePages - 1 < totalPages">
                <a href="#"><i class="arrow_carrot-right" v-on:click.prevent="changePage(startPage + visiblePages)"></i></a>
            </li>
        </ul>
    </div>
</template>
<script type="module">
export default{
	name: 'DocumentPaginator',
	props: ['grandTotal', 'totalShowed', 'itemsPerPage', 'pages', 'totalPages', 'modeView', 'startPage', 'visiblePages', 'currentPage'],
	components: {

	},
	data() {
		return {
			
		};
	},
	mounted() {
		
	},
	methods: {
		changePage(page) {
            this.$emit('changePage', page);
        },
	},
	computed: {
		//datos computados
	},
	watch: {
		//observación de eventos
	}
};
</script>